angular.module('selae.core.controllers')

.controller('genericHtmlCtrl', ['$scope', '$stateParams', '$http','$sce','$timeout', 'analyticsSrv', 'requestSrv',
 function($scope, $stateParams, $http, $sce, $timeout, analyticsSrv, requestSrv) {
 	$scope.$on('$ionicView.beforeEnter', function (event, viewData) {
        viewData.enableBack = true;
    });
    
	$scope.content = "";
	
	if (window.ga) {
		if ($stateParams.analytics) {
			analyticsSrv.trackView($stateParams.analytics);
		} else if ($stateParams.content.includes('nuestrosjuegos')) {
			// Chapuza para trackear esta vista
			analyticsSrv.trackView('Ayuda-Preguntas frecuentes-Nuestros juegos');
		}
	}
	requestSrv.request($stateParams.content, 'get', [], {}, true).then(response => {
		$scope.content = $sce.trustAsHtml(response.data);
	})
		

	
 	

    $scope.$watch('content', function(newValue, oldValue) {
    	if ($scope.content !== ""){
    		$timeout(function() {
				var acc = angular.element(document).find("h3");
				var i;

				for (i = 0; i < acc.length; i++) {
				    acc[i].onclick = function(){
				        this.classList.toggle("active");
				        var next = this.nextElementSibling;
				        while (next !== null && next.tagName != "H3"){
				        	next.classList.toggle("show");
				        	next = next.nextElementSibling;
				        }
				    };
				}
		   	});
    	}
   	});
}]);


   
