angular.module('selae.core.controllers')

.controller('htmlModalCtrl', ['$scope', 'htmlModalSrv','$http','$sce','$timeout', 'requestSrv',
    function($scope, htmlModalSrv, $http, $sce, $timeout, requestSrv) {
        $scope.htmlModalSrv = htmlModalSrv;

        $scope.loaded = false;


		requestSrv.request($scope.modalContent, 'get', [], {}, true).then(response => {
			$scope.modalContent = $sce.trustAsHtml(response.data);
			$scope.loaded = true;
		})
			
	 
	    $scope.$watch('modalContent', function(newValue, oldValue) {
    	if ($scope.modalContent !== ""){
    		$timeout(function() {
				var acc = angular.element(document).find("h3");
				var i;

				for (i = 0; i < acc.length; i++) {
				    acc[i].onclick = function(){
				        this.classList.toggle("active");
				        var next = this.nextElementSibling;
				        while (next !== null && next.tagName != "H3"){
				        	next.classList.toggle("show");
				        	next = next.nextElementSibling;
				        }
				    };
				}
		   	});
    	}
   	});
    }
]);